Bug 1489024 - [3.5 Backport] Can not start atomic-openshift-node if the system does not have a default route
Summary: [3.5 Backport] Can not start atomic-openshift-node if the system does not hav...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 3.5.1
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 3.5.z
Assignee: Jacob Tanenbaum
QA Contact: Meng Bo
URL:
Whiteboard:
Depends On: 1462428
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-06 15:36 UTC by Eric Rich
Modified: 2017-12-07 07:11 UTC (History)
14 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: the OpenShift node proxy previously did not support using a specified IP address. Consequence: this bug could prevent correct operation on hosts with multiple network interface cards. Fix: the OpenShift node process already accepts a "--bind-address=<ip address>:<port>" command-line flag and "bindAddress:" config file option for the multiple network interface card case. The proxy functionality has been fixed to respect these options. Result: when --bind-address or bindAddress are used, the OpenShift node proxy should work correctly when the OpenShift node host has multiple network interface cards
Clone Of: 1462428
Environment:
Last Closed: 2017-12-07 07:11:23 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift ose pull 861 0 None None None 2017-09-13 20:06:50 UTC
Github openshift ose pull 907 0 None None None 2017-10-17 20:48:17 UTC
Origin (Github) 14815 0 None None None 2017-09-06 15:36:30 UTC
Red Hat Product Errata RHSA-2017:3389 0 normal SHIPPED_LIVE Moderate: Red Hat OpenShift Enterprise security, bug fix, and enhancement update 2017-12-07 12:09:10 UTC

Comment 1 Ben Bennett 2017-09-13 20:06:33 UTC
https://github.com/openshift/ose/pull/861

Comment 3 Hongan Li 2017-09-28 03:09:45 UTC
verification failed and logs as below: 

Sep 27 23:01:38 host-8-241-39.host.centralci.eng.rdu2.redhat.com atomic-openshift-node[43270]: I0927 23:01:38.201929   43270 interface.go:259] No valid IP found
Sep 27 23:01:38 host-8-241-39.host.centralci.eng.rdu2.redhat.com atomic-openshift-node[43270]: F0927 23:01:38.201946   43270 node.go:465] error: Could not initialize Kubernetes Proxy. You must run this process as root to use the service proxy: failed to select a host interface: Unable to select an IP.


Please note another PR https://github.com/openshift/origin/pull/15174 was merged to resolve this bug eventually. Is that need backport too ?

Comment 4 Dan Williams 2017-10-02 02:10:12 UTC
15174 backported as:

ose-3.5: https://github.com/openshift/ose/pull/878
ose-3.4: https://github.com/openshift/ose/pull/879

Comment 10 Hongan Li 2017-10-31 05:32:31 UTC
verified in atomic-openshift-3.5.5.31.40-1.git.0.d561a9f and issue has been fixed.

Comment 13 errata-xmlrpc 2017-12-07 07:11:23 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:3389


Note You need to log in before you can comment on or make changes to this bug.